Subject: Re: [PATCH 03/72] t/test-lib.sh: add always-set NO_GETTEXT_POISON prerequisite

From: Jonathan Nieder <[email-masked]>
Date: Sun, 20 Feb 2011 15:55:33 -0600

Ævar Arnfjörð Bjarmason wrote:

> It's explicitly about tests that can't deal with poison, not
> non-English. See this comment in patch  28/72:
>
>     gettextize: git-commit "enter the commit message" message
>
>     Gettextize the "# Please enter the commit message for your changes."
>     message. Several tests in t7500-commit.sh and t7502-commit.sh assume
>     that this message starts with a newline. Change the tests to to skip
>     under GETTEXT_POISON=YesPlease.

Shouldn't the functional part (the starting newline, opening # marks)
be untranslatable then, to avoid making a trap for translators?  Such
a fix could happen at any time, and until then, we could skip those
tests in the non-English case.

Since that codepath requires human intervention anyway (which is
generally slow), I can't imagine doing that would hurt runtime
performance enough to matter.

But I do get your point --- perhaps in some other circumstance we have
to rely on some intelligence by the translator for correct behavior.
So maybe it means something along the lines of

	test_set_prereq SANE_TRANSLATION

?